Skip to content

移动上传目录 ​

接口说明 ​

重命名或移动一个上传目录,以及其中的全部文件和子目录。

接口信息 ​

字段值
方法PATCH
路径/openapi/v2/knowledge-bases/{knowledgeBaseId}/source-directories/{directoryId}
Operation IDmoveSourceDirectory
鉴权Bearer OpenAPI key

入参 ​

名称位置必填类型示例说明
knowledgeBaseIdpath是stringknowledge-base-11111111-1111-4111-8111-111111111111知识库 API 返回的知识库标识。
directoryIdpath是stringdirectory-11111111-1111-4111-8111-111111111111目录或文件树接口返回的上传目录标识。
Idempotency-Keyheader是stringmutation-2026-07-10-001客户端为请求生成的幂等键。重试同一请求时复用相同值,可以避免创建重复任务。
If-Matchheader是string"1"API 返回的当前 resourceRevision。如果读取后资源又被修改,请求会返回冲突,避免覆盖较新的修改。

请求体 ​

application/json ​

字段必填类型示例说明
relativePath是stringhandbook/archive文件在上传目录结构中的路径。

请求示例 ​

bash
curl -X PATCH "https://openapi.example.com/openapi/v2/knowledge-bases/knowledge-base-11111111-1111-4111-8111-111111111111/source-directories/directory-11111111-1111-4111-8111-111111111111" \
  -H "Authorization: Bearer <openapi-key>" \
  -H "Idempotency-Key: mutation-2026-07-10-001" \
  -H "If-Match: \"1\"" \
  -H "Content-Type: application/json" \
  --data '{
  "relativePath": "handbook/archive"
}'

成功响应 ​

202 ​

返回已经提交到后台处理的目录移动或重命名请求。

字段必填类型说明
operation是object资源变更记录。

成功响应示例 ​

json
{
  "operation": {
    "operationId": "directory-move-22222222-2222-4222-8222-222222222222",
    "knowledgeBaseId": "knowledge-base-11111111-1111-4111-8111-111111111111",
    "kind": "source_directory_move",
    "state": "processing",
    "expectedResourceRevision": 1,
    "targetKind": "source_directory",
    "targetId": "directory-11111111-1111-4111-8111-111111111111",
    "candidateRelativePath": "handbook/archive",
    "result": null,
    "errorCode": null,
    "retryGuidance": "Check this change again after a short delay.",
    "actions": {
      "self": "/openapi/v2/knowledge-bases/knowledge-base-11111111-1111-4111-8111-111111111111/operations/directory-move-22222222-2222-4222-8222-222222222222"
    },
    "createdAt": "2026-06-17T00:00:00.000Z",
    "updatedAt": "2026-06-17T00:00:00.000Z",
    "completedAt": null
  }
}

错误码 ​

下表列出这个接口已声明的全部错误响应。

HTTP 状态错误码说明
401UNAUTHORIZEDBearer API key 缺失、格式错误、未知、已撤销或已删除。
404NOT_FOUND请求的资源不存在。
409CONFLICT请求与资源当前状态冲突。
413PAYLOAD_TOO_LARGE请求体或待读取文件超过当前接口允许的大小。
422VALIDATION_ERROR请求未通过校验。
429RATE_LIMITED请求超过当前配置的速率限制。
500INTERNAL_ERRORAPI 遇到内部错误。
503DATABASE_REPOSITORY_UNAVAILABLE当前接口所需的数据暂时不可用。

后续操作 ​